<!--
  Generated template for the UserReviewsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>User Reviews</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<ion-list>
		<ion-item *ngFor="let r of reviews" style="padding: 10px 10% 0 10%;" >
			<div *ngIf="r.review_from">
				<ion-row style="padding: 0 !important;">
					<ion-col col-9>
						<h2 style="text-align: left !important; padding-top: 17px !important;">{{r.review_from.first_name}}</h2>
					</ion-col>
					<ion-col col-3 class="alt-avatar-2">
						<img *ngIf="r.review_from.avatar.startsWith('/')" [src]="url+r.review_from.avatar">
				    	<img *ngIf="r.review_from.avatar.startsWith('h')" [src]="r.review_from.avatar">
					</ion-col>
				</ion-row>
				<ion-row style="padding: 0 !important;">
					<ion-col col-12>
						<ionic3-star-rating 
								activeIcon = "ios-star"
								defaultIcon = "ios-star-outline"
								activeColor = "#ffcc00" 
								defaultColor = "#ffcc00"
								readonly= "true"
								[rating]= "r.rate">
						</ionic3-star-rating>
						
						<p style="font-weight: 400px !important" text-wrap class="text-dark">{{r.description}}</p>
						
						<p class="text-light tiny-text">{{r.created_at | slice:0:10}} </p>

					</ion-col>
				</ion-row>
			</div> 
		</ion-item>
	</ion-list>

	<div class="text-center pad-all-10">
		<h3 *ngIf="isEmpty">User has no reviews yet.</h3>
	</div>
</ion-content>
